export const data = {
  state: {
    showSite: false,
    toolbar: {
      showPanel: undefined,
    },
    imageLayer: {
      labrador: undefined,
      indianOcean: undefined,
    },
  },
  reducers: {
    update(state, payload) {
      return { ...state, ...payload };
    },
    updateToolbar(state, payload) {
      const { toolbar } = state;
      return { ...state, toolbar: { ...toolbar, ...payload } };
    },
    updateImageLayer(state, payload) {
      const { imageLayer } = state;
      return { ...state, imageLayer: { ...imageLayer, ...payload } };
    },
  },
  effects: (dispatch) => ({}),
};
